<?php
/*--------------------------------------------+
| PHP-Fusion 6 - Content Management System    |
|---------------------------------------------|
| author: Nick Jones (Digitanium)  2002-2008 |
| web: http://www.php-fusion.co.uk            |
| email: nick@php-fusion.co.uk                |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/
/*--------------------------------------------+
|       Pitriff Theme for PHP-Fusion v6+      |
|---------------------------------------------|
| author: Fuzed Themes - Shedrock  2008      |
| web: http://phpfusion-themes.com            |
| email: webmaster@phpfusion-themes.com       |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/

// theme settings
$body_text = "#666666";
$body_bg = "#FFFFFF";
$theme_width = "100%";
$theme_width_l = "180";
$theme_width_r = "180";

// Right Panels off in Forum Mode - Custom coded
$theme_panels_exclude = array("/forum/");

if (!defined("IN_FUSION")) { die("Access Denied"); }

define("THEME_WIDTH", "100%");
define("THEME_BULLET", "<img src='".THEME."images/bullet.gif' alt='' style='border:0' />");

require_once INCLUDES."theme_functions_include.php";

function render_page($license=false) {

	global $aidlink, $settings, $main_style, $locale, $userdata;
echo "<div id='pitwrap'>
			<div class='b_left'><div class='b_right'><div class='top'><div class='base'><div class='top_l'><div class='top_r'><div class='b_bl'><div class='b_br'>
			<div class='content'>
			<div id='logostrip'>
<table style='width: 100%;' cellpadding='0' cellspacing='0'>
	<tr>
		<td style='width: 1%;'><a href='".BASEDIR."index.php'><img src='".THEME."images/logo.png' style='vertical-align:top' alt='' title='' border='0' /></a>
		</td>
		<td>
			<div id='userlinksguest'>";

if (iGUEST){
echo "<p class='welcome'><b>Welcome Guest</b> ( <a href='".BASEDIR."login.php'>Log In</a> | <a href='".BASEDIR."register.php'>Register</a> )</p>";
		} else {
	$msg_count = dbcount("(message_id)", "messages", "message_to='".$userdata['user_id']."' AND message_read='0'AND message_folder='0'");

echo "Welcome <b>".$userdata['user_name']."</b>, ";
	if (file_exists(THEME."locale/".$settings['locale'].".php")) {
	include THEME."locale/".$settings['locale'].".php";
		} else {
	include THEME."locale/English.php";
	}
echo"".$locale['pf001']." [<a href='".BASEDIR."messages.php?folder=inbox' class='side'><b>".sprintf($locale['pf006'], $msg_count).($msg_count == 1 ? $locale['pf004'] : $locale['pf005'])."</b></a>] ".$locale['pf002']." <a href='".BASEDIR."messages.php?folder=inbox'><b>".$locale['pf003']."</b></a><br /><br />";
echo "<b>My Controls:</b> <a href='".BASEDIR."edit_profile.php'>Edit Profile</a>&nbsp;&middot;&nbsp;<a href='".BASEDIR."infusions/forum_threads_list_panel/my_threads.php'>My Recent Threads</a>&nbsp;&middot;&nbsp;<a href='".BASEDIR."infusions/forum_threads_list_panel/my_posts.php'>My Recent Posts</a>&nbsp;&middot;&nbsp;<a href='".BASEDIR."infusions/forum_threads_list_panel/newposts.php'>Latest Posts</a>&nbsp;&middot;&nbsp;<a href='".BASEDIR."setuser.php?logout=yes'><b>Logout</b></a>";
}

echo "</div>
		</td>
	</tr>
</table>
</div>
			<div id='submenu'>
			<div class='top-right-link' style='float:left;padding-left:20px;'>Return to
<img alt='' src='".THEME."images/icons/icon_home.gif' />&nbsp;<a href='".BASEDIR."index.php'>Home</a>
<img alt='' src='".THEME."images/icons/icon_forums.gif' />&nbsp;<a href='".BASEDIR."forum/index.php'>Forums</a>
<img alt='' src='".THEME."images/icons/icon_downloads.gif' />&nbsp;<a href='".BASEDIR."downloads.php'>Downloads</a>
</div>
			<div class='top-right-link' style='float:right;padding-right:20px;'>
<img alt='' src='".THEME."images/icons/icon_help.gif' />&nbsp;<a href='".BASEDIR."faq.php'>Faq</a>
<img alt='' src='".THEME."images/icons/icon_search.gif' />&nbsp;<a href='".BASEDIR."search.php'>Search</a>
<img alt='' src='".THEME."images/icons/icon_staff.gif' />&nbsp;<a href='".BASEDIR."staff.php'>Staff</a>";

	if (iMEMBER){
echo "&nbsp;<img alt='' src='".THEME."images/icons/icon_members.gif' />&nbsp;<a href='".BASEDIR."members.php'>Members</a></div>";
} else {
echo "</div>";
	}
echo"</div>\n";

//Content
	echo "<table cellpadding='0' cellspacing='0' class='border' width='".THEME_WIDTH."' align='center'>\n<tr>\n";
	if (LEFT) { echo "<td class='side-border-left' valign='top'>".LEFT."</td>"; }
	echo "<td class='main-bg' valign='top'>".U_CENTER.CONTENT.L_CENTER."</td>";
	if (RIGHT) { echo "<td class='side-border-right' valign='top'>".RIGHT."</td>"; }
	echo "</tr>\n</table>\n";

//footer
echo "<table align='center' width='100%' cellspacing='0' cellpadding='0'>
	<tr>
		<td class='header'>".stripslashes($settings['footer'])."</td>
	</tr>
</table>
<table align='center' border='0' style='margin-top: 9px;' cellpadding='0' cellspacing='0' width='100%'>
	<tr>
		<td width='16' class='pr-footer-l'>&nbsp;</td>
		<td class='pr-footer-c' id='pf-footer-color1' align='left' width='20%'>Converted to v7 by <a target='_blank' href='http://www.kaj-max.dk'>WhoCare</a></td>
		<td class='pr-footer-c' id='pf-footer-color2' align='center' width='60%'><span class='pitriff'>Pitriff</span> (Based on an IPB Template) - <a target='_blank' href='http://phpfusion-themes.com'>Fuzed Themes</a></td>
 		<td class='pr-footer-c' id='pf-footer-color3' align='right' width='20%'>".showcounter()."</td>
		<td width='16' class='pr-footer-r'>&nbsp;</td>
	</tr>
</table>
			</div>
		</div>
	</div>
			</div>
		</div>
	</div>
			</div>
		</div>
	</div>
</div>";
echo showcopyright();
}

function render_news($subject, $news, $info) {
$subject = strip_tags($subject);
	
echo "<table width='100%' cellpadding='0' cellspacing='0'>
	<tr>
		<td class='panel-left'><img src='".THEME."images/blank.gif' width='13' height='32' alt='' style='display:block' /></td>
		<td width='100%' class='panel-main'>$subject</td>
		<td class='panel-right'><img src='".THEME."images/blank.gif' width='13' height='32' alt='' style='display:block' /></td>
	</tr>
</table>
<table width='100%' cellpadding='0' cellspacing='0'>
	<tr>
		<td class='border-left'><img src='".THEME."images/blank.gif' width='13' height='1' alt='' style='display:block' /></td>
		<td class='side-body'><div style='width:100%;vertical-align:top;'>$news</div>
	<br />
			<div style='margin-top:55px'>
<table width='100%' class='news-spacing' cellpadding='0' cellspacing='0'>
	<tr>
		<td class='news-info'>";
echo newsposter($info," &middot;").newsopts($info," &middot;").itemoptions("N",$info['news_id']);
echo "</td>
	</tr>
</table>
			</div>
		</td>
		<td class='border-right'><img src='".THEME."images/blank.gif' width='13' height='1' alt='' style='display:block' /></td>
	</tr>
	<tr>
		<td class='border-bleft'><img src='".THEME."images/blank.gif' width='13' height='20' alt='' style='display:block' /></td>
		<td class='border-bmain'><img src='".THEME."images/blank.gif' width='1' height='20' alt='' style='display:block' /></td>
		<td class='border-bright'><img src='".THEME."images/blank.gif' width='13' height='20' alt='' style='display:block' /></td>
	</tr>
</table>\n";
}

function render_article($subject, $article, $info) {

echo "<table width='100%' cellpadding='0' cellspacing='0'>
	<tr>
		<td class='panel-left'><img src='".THEME."images/blank.gif' width='13' height='26' alt='' style='display:block' /></td>
		<td width='100%' class='panel-main'>$subject</td>
		<td class='panel-right'><img src='".THEME."images/blank.gif' width='13' height='26' alt='' style='display:block' /></td>
	</tr>
</table>
<table width='100%' cellpadding='0' cellspacing='0'>
	<tr>
		<td class='border-left'><img src='".THEME."images/blank.gif' width='13' height='1' alt='' style='display:block' /></td>
		<td class='side-body'><div style='width:100%;vertical-align:top;'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</div>
	<br />
			<div style='margin-top:55px'>
<table width='100%' cellpadding='0' cellspacing='0'>
	<tr>
		<td class='news-info'>";
echo articleposter($info," &middot;").articleopts($info," &middot;").itemoptions("A",$info['article_id']);
echo "</td>
	</tr>
</table>
			</div>
		</td>
		<td class='border-right'><img src='".THEME."images/blank.gif' width='13' height='1' alt='' style='display:block' /></td>
	</tr>
	<tr>
		<td class='border-bleft'><img src='".THEME."images/blank.gif' width='13' height='20' alt='' style='display:block' /></td>
		<td class='border-bmain'><img src='".THEME."images/blank.gif' width='1' height='20' alt='' style='display:block' /></td>
		<td class='border-bright'><img src='".THEME."images/blank.gif' width='13' height='20' alt='' style='display:block' /></td>
	</tr>
</table>\n";
}

function opentable($title) {

echo "<table width='100%' cellpadding='0' cellspacing='0'>
	<tr>
		<td class='panel-left'><img src='".THEME."images/blank.gif' width='13' height='32' alt='' style='display:block' /></td>
		<td width='100%' class='panel-main'>$title</td>
		<td class='panel-right'><img src='".THEME."images/blank.gif' width='13' height='32' alt='' style='display:block' /></td>
	</tr>
</table>
<table width='100%' cellpadding='0' cellspacing='0'>
	<tr>
		<td class='border-left'><img src='".THEME."images/blank.gif' width='13' height='1' alt='' style='display:block' /></td>
		<td class='side-body'>\n";
}

function closetable() {

echo "</td>
		<td class='border-right'><img src='".THEME."images/blank.gif' width='13' height='1' alt='' style='display:block' /></td>
	</tr>
	<tr>
		<td class='border-bleft'><img src='".THEME."images/blank.gif' width='13' height='20' alt='' style='display:block' /></td>
		<td class='border-bmain'><img src='".THEME."images/blank.gif' width='1' height='20' alt='' style='display:block' /></td>
		<td class='border-bright'><img src='".THEME."images/blank.gif' width='13' height='20' alt='' style='display:block' /></td>
	</tr>
</table>\n";
}

function openside($title) {
	
echo "<table width='100%' cellpadding='0' cellspacing='0'>
	<tr>
		<td class='panel-left'><img src='".THEME."images/blank.gif' width='13' height='32' alt='' style='display:block' /></td>
		<td width='100%' class='panel-main'>$title</td>
		<td class='panel-right'><img src='".THEME."images/blank.gif' width='13' height='32' alt='' style='display:block' /></td>
	</tr>
</table>
<table width='100%' cellpadding='0' cellspacing='0'>
	<tr>
		<td class='border-left'><img src='".THEME."images/blank.gif' width='13' height='1' alt='' style='display:block' /></td>
		<td class='side-body'>\n";
}

function closeside() {

echo "</td>
		<td class='border-right'><img src='".THEME."images/blank.gif' width='13' height='1' alt='' style='display:block' /></td>
	</tr>
	<tr>
		<td class='border-bleft'><img src='".THEME."images/blank.gif' width='13' height='20' alt='' style='display:block' /></td>
		<td class='border-bmain'><img src='".THEME."images/blank.gif' width='1' height='20' alt='' style='display:block' /></td>
		<td class='border-bright'><img src='".THEME."images/blank.gif' width='13' height='20' alt='' style='display:block' /></td>
	</tr>
</table>\n";
}

?>
